program fjf189;

(*$W no-field-name-problem*)

type TStrings (Count, Length: Cardinal) = array [1 .. Count] of String (Length);

var s: TStrings (1, 42) = (1:'OK');

begin
  s[1]:='OK';
  writeln(s[1])
end.
